<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'yule_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'yule' ),
		'priority'   			=> 900,
		'panel'      			=> 'yule_theme_options_panel',
	)
);

// scroll top visible
$wp_customize->add_setting( 'yule_theme_options[scroll_top_visible]',
	array(
		'default'       		=> $options['scroll_top_visible'],
		'sanitize_callback' => 'yule_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Yule_Switch_Control( $wp_customize, 'yule_theme_options[scroll_top_visible]',
    array(
		'label'      			=> esc_html__( 'Display Scroll Top Button', 'yule' ),
		'section'    			=> 'yule_section_footer',
		'on_off_label' 		=> yule_switch_options(),
    )
) );