<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'yule_layout', array(
	'title'               => esc_html__('Layout','yule'),
	'description'         => esc_html__( 'Layout section options.', 'yule' ),
	'panel'               => 'yule_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'yule_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'yule_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Yule_Custom_Radio_Image_Control ( $wp_customize, 'yule_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'yule' ),
	'description'               => esc_html__( 'This options works on post blog, archive and search result pages.', 'yule' ),
	'section'             => 'yule_layout',
	'choices'			  => yule_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'yule_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'yule_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Yule_Custom_Radio_Image_Control ( $wp_customize, 'yule_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'yule' ),
	'section'             => 'yule_layout',
	'choices'			  => yule_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'yule_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'yule_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Yule_Custom_Radio_Image_Control( $wp_customize, 'yule_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'yule' ),
	'section'             => 'yule_layout',
	'choices'			  => yule_sidebar_position(),
) ) );